class CreateBankAccounts < ActiveRecord::Migration[7.1]
  def change
    create_table :bank_accounts do |t|
      t.string :institution_name
      t.string :account_type
      t.string :routing_number
      t.string :account_number
      t.date :start_date
      t.date :end_date
      t.references :owner, polymorphic: true, null: false

      t.timestamps
    end
  end
end
